POST
/api/v1/eval-schedulesCreate a scheduled eval
Creates a cron-scheduled eval (max 20/project -> 429 SCHEDULE_LIMIT). Validates the 5-field cron expression. Returns 201.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"cronExpression": "<5-field cron: minute hour day-of-month m>",
"config": {},
"description": "string",
"datasetId": "00000000-0000-0000-0000-000000000000",
"baselineRunId": "00000000-0000-0000-0000-000000000000",
"alertOnScoreDrop": 0,
"alertOnFailure": false
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"name": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"cronExpression": {
"type": "string",
"minLength": 1,
"maxLength": 200,
"description": "5-field cron: minute hour day-of-month month day-of-week."
},
"config": {
"type": "object",
"additionalProperties": {}
},
"description": {
"type": "string",
"maxLength": 2000
},
"datasetId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"baselineRunId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"alertOnScoreDrop": {
"type": "number",
"minimum": 0,
"maximum": 1
},
"alertOnFailure": {
"type": "boolean"
}
},
"required": [
"projectId",
"name",
"cronExpression",
"config"
],
"additionalProperties": false
}
}
}Response
201 example
{
"success": true
}All status codes
201Created.
400(no description)
401(no description)
403Forbidden - insufficient role for this operation.
429(no description)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/eval-schedules \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "projectId": "00000000-0000-0000-0000-000000000000", "name": "string", "cronExpression": "<5-field cron: minute hour day-of-month m>", "config": {}, "description": "string", "datasetId": "00000000-0000-0000-0000-000000000000", "baselineRunId": "00000000-0000-0000-0000-000000000000", "alertOnScoreDrop": 0, "alertOnFailure": false }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/eval-schedules",
body: {
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"cronExpression": "<5-field cron: minute hour day-of-month m>",
"config": {},
"description": "string",
"datasetId": "00000000-0000-0000-0000-000000000000",
"baselineRunId": "00000000-0000-0000-0000-000000000000",
"alertOnScoreDrop": 0,
"alertOnFailure": false
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/eval-schedules",
body={
"projectId": "00000000-0000-0000-0000-000000000000",
"name": "string",
"cronExpression": "<5-field cron: minute hour day-of-month m>",
"config": {},
"description": "string",
"datasetId": "00000000-0000-0000-0000-000000000000",
"baselineRunId": "00000000-0000-0000-0000-000000000000",
"alertOnScoreDrop": 0,
"alertOnFailure": False
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"projectId":"00000000-0000-0000-0000-000000000000","name":"string","cronExpression":"<5-field cron: minute hour day-of-month m>","config":{},"description":"string","datasetId":"00000000-0000-0000-0000-000000000000","baselineRunId":"00000000-0000-0000-0000-000000000000","alertOnScoreDrop":0,"alertOnFailure":false}`)
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/eval-schedules", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403429